import { BlLifeRechargeAccountModelOptions } from './types';

export class BlLifeRechargeAccountModel {
  userId = '';
  phoneNumber = '';
  channlesNum = '';

  constructor(options: BlLifeRechargeAccountModelOptions = {}) {
    const { userId = '', phoneNumber = '', channlesNum } = options;
    this.setUserId(userId);
    this.setPhoneNumber(phoneNumber);
    this.setChannlesNum(channlesNum);
  }

  setUserId(userId: string) {
    this.userId = userId;
  }

  setPhoneNumber(phoneNumber: string) {
    this.phoneNumber = phoneNumber;
  }
  setChannlesNum(channlesNum: string) {
    this.channlesNum = channlesNum;
  }
}
